Bug 465648 - Network manager disconnects when wireless network is idle
Network manager disconnects when wireless network is idle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 01:10 EDT by Cameron Cross
Modified: 2014-06-16 10:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cameroncros: needinfo-


Attachments (Terms of Use)
/var/log/messages from around the time of the disconect and reconect (16.86 KB, text/plain)
2008-10-31 23:58 EDT, Cameron Cross
no flags Details

  None (edit)
Description Cameron Cross 2008-10-05 01:10:23 EDT
Description of problem:
Network manager disconnects when wireless network is idle

Version-Release number of selected component (if applicable):
0.7.0-0.11.svn4022

How reproducible:
Everytime (for me a least)

Steps to Reproduce:
1.Connect to wireless, leave idle for a bit
2.Disconnects and fails to reconnect even if you move closer,it just spins that animation for a bit and fails asking for the passphrase.
3.can be restarted buy using '/etc/init.d/NetworkManager restart' but it repeats
  
Actual results:
disconnects and fails to reconnect

Expected results:
stays connected.

Additional info:
The network im using is a wpa encrypted,  mac filtered access point. I have had a similar problem with a wep access point. email me if you need more info - cameroncros@gmail.com.

I don't want to sound whinny but this keeps happening every time a set of updates it install.
Comment 1 Dan Williams 2008-10-19 22:44:26 EDT
Could you attach some logs from /var/log/messages showing what NM is doing around the dropouts?  Usually it's that the supplicant simply cannot reconnect within about 30 seconds and after that NM terminates the connection.
Comment 2 Cameron Cross 2008-10-31 23:58:16 EDT
Created attachment 322159 [details]
/var/log/messages from  around the time of the disconect and reconect

Here is the var messages log from the time it was connected to the time it disconnected. Hope it helps.
Comment 3 Dan Williams 2009-02-14 15:07:54 EST
Does this get better with a recent kernel?  Like 2.6.27.12-78.2.8.fc9 ?  This issue is highly driver dependent and updates can certainly help.
Comment 4 Anne 2009-02-18 09:35:29 EST
I was also seeing this problem.  I believe that recent updates have cured it.  I've seen no unexplained dropout for the last few days.
Comment 5 Jessica Sterling 2009-03-06 16:56:19 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2009-06-09 22:53:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Anne 2009-06-10 04:59:35 EDT
In F10 disconnects are less frequent, but they do still happen, and often it is impossible to reconnect.  I would like the version to be changed so that this bug investigation can be continued
Comment 8 Bug Zapper 2009-07-14 12:55:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.